<?php

namespace App\JsonRpc;
interface FooterServiceInterface
{
    /**
     * @param array $data
     * @return array
     */
    public function getFooterCategory(array $data): array;

    /**
     * @param int $data
     * @return array
     */
    public function addFooterCategory(array $data): array;
    /**
     * @param int $data
     * @return array
     */
    public function upFooterCategory(array $data): array;
    /**
     * @param int $data
     * @return array
     */
    public function delFooterCategory(array $data): array;
    /**
     * @param int $data
     * @return array
     */
    public function getFooterContent(array $data): array;
    /**
     * @param int $data
     * @return array
     */
    public function addFooterContent(array $data): array;
    /**
     * @param int $data
     * @return array
     */
    public function getOneFooterContent(array $data): array;
    /**
     * @param int $data
     * @return array
     */
    public function upFooterContent(array $data): array;
        /**
     * @param int $data
     * @return array
     */
    public function delFooterContent(array $data): array;


}
